POST api/departmentItemapi/add?siteId={siteId}
Request Information
URI Parameters
| Name | Description | Type | Additional information |
|---|---|---|---|
| siteId | globally unique identifier |
None. |
Body Parameters
DepartmentItemViewModel| Name | Description | Type | Additional information |
|---|---|---|---|
| item_code | string |
None. |
|
| item_descriptions | Dictionary of string [key] and string [value] |
None. |
|
| selected_sticker_id | globally unique identifier |
None. |
|
| selected_nameplate_id | globally unique identifier |
None. |
|
| active | boolean |
Required |
|
| department_id | globally unique identifier |
Required |
|
| id | globally unique identifier |
None. |
|
| physical_item_id | globally unique identifier |
None. |
|
| service_item_id | globally unique identifier |
None. |
|
| item_wash_max | integer |
None. |
|
| quantity | integer |
None. |
Request Formats
application/json, text/json
Sample:
{
"item_code": "sample string 1",
"item_descriptions": {
"sample string 1": "sample string 2",
"sample string 3": "sample string 4"
},
"selected_sticker_id": "a0eb165a-d21b-44d1-bc45-a63281d8e07a",
"selected_nameplate_id": "5f77538b-7b8c-4f14-a812-373e8c256d81",
"active": true,
"department_id": "bb7fcd03-7f11-4116-b5df-c335c590e2ce",
"id": "808429d3-9025-4628-8e0c-f2bb9bd9bacd",
"physical_item_id": "0b28273f-b704-4b2b-8ff8-09276cf92d4b",
"service_item_id": "bea31747-d2c2-4cae-84b7-7cb1eeaa427c",
"item_wash_max": 1,
"quantity": 1
}
application/xml, text/xml
Sample:
<department_item xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/EntityModel">
<active>true</active>
<department_id>bb7fcd03-7f11-4116-b5df-c335c590e2ce</department_id>
<id>808429d3-9025-4628-8e0c-f2bb9bd9bacd</id>
<item_wash_max>1</item_wash_max>
<physical_item_id>0b28273f-b704-4b2b-8ff8-09276cf92d4b</physical_item_id>
<quantity>1</quantity>
<service_item_id>bea31747-d2c2-4cae-84b7-7cb1eeaa427c</service_item_id>
<item_code>sample string 1</item_code>
<item_descriptions xmlns:d2p1="http://schemas.microsoft.com/2003/10/Serialization/Arrays">
<d2p1:KeyValueOfstringstring>
<d2p1:Key>sample string 1</d2p1:Key>
<d2p1:Value>sample string 2</d2p1:Value>
</d2p1:KeyValueOfstringstring>
<d2p1:KeyValueOfstringstring>
<d2p1:Key>sample string 3</d2p1:Key>
<d2p1:Value>sample string 4</d2p1:Value>
</d2p1:KeyValueOfstringstring>
</item_descriptions>
<selected_nameplate_id>5f77538b-7b8c-4f14-a812-373e8c256d81</selected_nameplate_id>
<selected_sticker_id>a0eb165a-d21b-44d1-bc45-a63281d8e07a</selected_sticker_id>
</department_item>
application/x-www-form-urlencoded
Sample:
Sample not available.
Response Information
Resource Description
globally unique identifierResponse Formats
application/json, text/json
Sample:
"0cd75a0d-2e73-46c2-be8b-8bc8b1edf40e"
application/xml, text/xml
Sample:
<guid xmlns="http://schemas.microsoft.com/2003/10/Serialization/">0cd75a0d-2e73-46c2-be8b-8bc8b1edf40e</guid>